EDIT - bug #7424

right click menu does not show up in name editor
05/16/2018 03:16 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal Found in Version:

Description

after some operations the right click menu of the accepted taxon does not show up anymore.

for example after deleting a synonym or change a synonym to misapplication...

Related issues:
Related to EDIT - bug #6954: Sometimes the context menu of e4 parts does not ... New

Associated revisions

Revision 7ccb7304 - 09/24/2018 01:21 PM - Katja Luther

ref #7424: after updating name editor set menu to all containers to avoid missing menu

History

#1 - 09/19/2018 10:41 AM - Katja Luther

- Status changed from New to In Progress

this problem appears only for synonyms and the accepted taxon, for missapplied names and pro parte synonyms the menu is shown.

#2 - 09/20/2018 11:39 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.4

Add this to current milestone as it is critical (often mentioned by users)

#3 - 09/21/2018 01:10 PM - Katja Luther

the problem appears because the menu is set to disposed when a groupContainer is removed.

#4 - 09/25/2018 08:22 AM - Patrick Plitzner

- Related to bug #6954: Sometimes the context menu of e4 parts does not show up added

#5 - 10/23/2018 11:19 AM - Andreas Miiller

- Assignee changed from Katja Luther to Andreas Mdiller

not sure if fully fixed already, however | set to resolved for review.

#6 - 10/23/2018 11:19 AM - Andreas Miiller

- Status changed from In Progress to Resolved

#7 - 10/23/2018 04:02 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 100

PP: KL said this is fixed and discussed fix with me
#8 - 10/23/2018 04:02 PM - Andreas Miiller

As this is difficult to reproduce | close ticket. If it reoccurs we can reopen.
